For the past few months we have been checking compatibility of our current products with early versions of Mac OS 10.7 (also known as Lion). The only problems are with the eye droppers in the color pickers of Exposure 3 and Snap Art 2. If you own either of those Mac products, then install the latest version of Exposure 3 from here or Snap Art 2 from here.

For everyone else, don’t do anything. If it ain’t broke, don’t fix it!

Like my lion drawing? Meow!